View Issue Details

IDProjectCategoryView StatusLast Update
0004097SymmetricDSNew Featurepublic2019-10-03 14:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.11.0 
Target Version3.11.0Fixed in Version3.11.0 
Summary0004097: Router convertToReload that converts multiple changes into a reload batch
DescriptionWhen sub-setting with a subselect router is too slow, and there are too my tables or too many rows for a lookup router, the convertToReload router can help. It expects an expression of "temptable=mytemptable" where mytemptable is a table with the same primary key as the table where changes occur. The router will insert the rows that are changing into the temp table, then create a single reload batch with an initial load SQL statement that joins to the temp table.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 01a93ee5

2019-09-23 13:56:59

admin

Details Diff
0004097: Router convertToReload that converts multiple changes into a
reload batch

0004097
add - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConvertToReloadRouter.java Diff File

SymmetricDS: 3.11 942d9e1a

2019-09-23 13:57:23

admin

Details Diff
0004097: Router convertToReload that converts multiple changes into a
reload batch

0004097
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.11 c58da503

2019-09-23 15:10:44

admin

Details Diff
0004097: Router convertToReload that converts multiple changes into a
reload batch

0004097
mod - symmetric-assemble/src/asciidoc/configuration/routers.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/routers/convertToReload.ad Diff File
mod - symmetric-assemble/src/asciidoc/configuration/routers/types.ad Diff File

SymmetricDS: 3.11 1848bbd2

2019-10-02 14:44:05

admin

Details Diff
0004097: use current transaction, single data_event, cache sorting
tables, query for node list option, log stats

0004097
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConvertToReloadRouter.java Diff File

SymmetricDS: 3.11 085b7b17

2019-10-02 14:53:48

admin

Details Diff
0004097: remove sym_data_event.router_id
0004097
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConvertToReloadRouter.java Diff File

SymmetricDS: 3.11 6ebb2ff7

2019-10-03 13:49:25

admin

Details Diff
0004097: add transaction flush
0004097
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConvertToReloadRouter.java Diff File

Issue History

Date Modified Username Field Change
2019-09-23 13:56 elong New Issue
2019-09-23 13:56 elong Status new => assigned
2019-09-23 13:56 elong Assigned To => elong
2019-09-23 15:11 elong Status assigned => resolved
2019-09-23 15:11 elong Resolution open => fixed
2019-09-23 15:11 elong Fixed in Version => 3.11.0
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 c58da503
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 942d9e1a
2019-09-27 17:00 admin Changeset attached => SymmetricDS 3.11 01a93ee5
2019-10-02 15:00 admin Changeset attached => SymmetricDS 3.11 085b7b17
2019-10-02 15:00 admin Changeset attached => SymmetricDS 3.11 1848bbd2
2019-10-03 14:00 admin Changeset attached => SymmetricDS 3.11 6ebb2ff7